%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Convert-UUlib
Version:       1.62
Release:       1mamba
Summary:       Convert::UUlib - Perl interface to the uulib library (a.k.a. uudeview/uuenview)
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/Convert-UUlib-%{version}.tar.gz
License:       Artistic, GPL
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Convert::UUlib - Perl interface to the uulib library (a.k.a. uudeview/uuenview)

%prep

%setup -q -n Convert-UUlib-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Feb 22 2020 Automatic Build System <autodist@mambasoft.it> 1.62-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.34-3mamba
- rebuilt with perl 5.24

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.34-2mamba
- perl 5.16 rebuild

* Mon Dec 20 2010 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic update by autodist

* Sat Sep 19 2009 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic update by autodist

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- package created by autospec
